transform.hh File Reference
`#include <iterator>`
`#include <memory>`
`#include <mia/core/vector.hh>`
`#include <mia/core/transformation.hh>`
`#include <mia/core/filter.hh>`
`#include <mia/3d/matrix.hh>`
`#include <mia/3d/image.hh>`
`#include <mia/3d/interpolator.hh>`
Include dependency graph for 3d/transform.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C3DTransformation
| This is the generic base class for 3D transformations. More...
class | C3DTransformation::const_iterator
class | C3DTransformation::iterator_impl

## Typedefs

typedef std::shared_ptr< C3DTransformation > | P3DTransformation
| pointer type for a 3D transformation

## Functions

EXPORT_3D bool | operator!= (const C3DTransformation::const_iterator &a, const C3DTransformation::const_iterator &b)
| Compare two transformation iterators.